## org.eclipse.jst.jsf.facesconfig.emf.impl
Class BehaviorTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.BehaviorTypeImpl

All Implemented Interfaces:
  BehaviorType

    public class BehaviorTypeImpl

extends EObjectImpl
implements BehaviorType

An implementation of the model object 'Behavior Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Behavior Id`
- `Behavior Class`
- `Attribute`
- `Property`
- `Behavior Extension`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetBehaviorClass(BehaviorClassType newBehaviorClass, NotificationChain msgs)`
`NotificationChain` `basicSetBehaviorId(BehaviorIdType newBehaviorId, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getAttribute()`
`BehaviorClassType` `getBehaviorClass()`
`EList` `getBehaviorExtension()`
`BehaviorIdType` `getBehaviorId()`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`EList` `getProperty()`
`void` `setBehaviorClass(BehaviorClassType newBehaviorClass)`
`void` `setBehaviorId(BehaviorIdType newBehaviorId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `BehaviorType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `BehaviorType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `BehaviorType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_Icon()`

### getBehaviorId

    public BehaviorIdType getBehaviorId()

  Specified by:
    `getBehaviorId` in interface `BehaviorType`
  Returns:
    the value of the 'Behavior Id' containment reference.
  See Also:
    `BehaviorType.setBehaviorId(BehaviorIdType)`, `FacesConfigPackage.getBehaviorType_BehaviorId()`

### basicSetBehaviorId

    public NotificationChain basicSetBehaviorId(BehaviorIdType newBehaviorId,
                                                NotificationChain msgs)

  Parameters:
    `newBehaviorId` -
    `msgs` -
  Returns:
    NotificationChain

### setBehaviorId

    public void setBehaviorId(BehaviorIdType newBehaviorId)

  Specified by:
    `setBehaviorId` in interface `BehaviorType`
  Parameters:
    `newBehaviorId` - the new value of the 'Behavior Id' containment reference.
  See Also:
    `BehaviorType.getBehaviorId()`

### getBehaviorClass

    public BehaviorClassType getBehaviorClass()

  Specified by:
    `getBehaviorClass` in interface `BehaviorType`
  Returns:
    the value of the 'Behavior Class' containment reference.
  See Also:
    `BehaviorType.setBehaviorClass(BehaviorClassType)`, `FacesConfigPackage.getBehaviorType_BehaviorClass()`

### basicSetBehaviorClass

    public NotificationChain basicSetBehaviorClass(BehaviorClassType newBehaviorClass,
                                                   NotificationChain msgs)

  Parameters:
    `newBehaviorClass` -
    `msgs` -
  Returns:
    NotificationChain

### setBehaviorClass

    public void setBehaviorClass(BehaviorClassType newBehaviorClass)

  Specified by:
    `setBehaviorClass` in interface `BehaviorType`
  Parameters:
    `newBehaviorClass` - the new value of the 'Behavior Class' containment reference.
  See Also:
    `BehaviorType.getBehaviorClass()`

### getAttribute

    public EList getAttribute()

  Specified by:
    `getAttribute` in interface `BehaviorType`
  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_Attribute()`

### getProperty

    public EList getProperty()

  Specified by:
    `getProperty` in interface `BehaviorType`
  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_Property()`

### getBehaviorExtension

    public EList getBehaviorExtension()

  Specified by:
    `getBehaviorExtension` in interface `BehaviorType`
  Returns:
    the value of the 'Behavior Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_BehaviorExtension()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)